# Inventory

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Inventory Entries in the platform.**

## Queries

### Query Inventory Entries

[fetch SDL for query inventoryEntries](#graphql-partial-sdls).

### Get Inventory Entry

[fetch SDL for query inventoryEntry](#graphql-partial-sdls).

## Mutations

### Create Inventory Entry

[fetch SDL for mutation createInventoryEntry](#graphql-partial-sdls).

### Update Inventory Entry

[fetch SDL for mutation updateInventoryEntry](#graphql-partial-sdls).

### Delete Inventory Entry

[fetch SDL for mutation deleteInventoryEntry](#graphql-partial-sdls).

## Output types

### InventoryEntry

[fetch SDL for type InventoryEntry](#graphql-partial-sdls).

### InventoryEntryQueryResult

[fetch SDL for type InventoryEntryQueryResult](#graphql-partial-sdls).

## Input types

### InventoryEntryDraft

[fetch SDL for type InventoryEntryDraft](#graphql-partial-sdls).

### InventoryEntryUpdateAction

[fetch SDL for type InventoryEntryUpdateAction](#graphql-partial-sdls).

### Update actions

#### Add Quantity

[fetch SDL for type AddInventoryEntryQuantity](#graphql-partial-sdls).

#### Change Quantity

[fetch SDL for type ChangeInventoryEntryQuantity](#graphql-partial-sdls).

#### Remove Quantity

[fetch SDL for type RemoveInventoryEntryQuantity](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetInventoryKey](#graphql-partial-sdls).

#### Set Restockable In Days

[fetch SDL for type SetInventoryEntryRestockableInDays](#graphql-partial-sdls).

#### Set Expected Delivery

[fetch SDL for type SetInventoryEntryExpectedDelivery](#graphql-partial-sdls).

#### Set Reservation Expiration In Minutes

[fetch SDL for type SetInventoryEntryReservationExpirationInMinutes](#graphql-partial-sdls).

#### Set Supply Channel

[fetch SDL for type SetInventoryEntrySupplyChannel](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetInventoryEntryCustomType](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetInventoryEntryCustomField](#graphql-partial-sdls).

#### Set Inventory Limits

[fetch SDL for type SetInventoryLimits](#graphql-partial-sdls).

#### Set Safety Stock

[fetch SDL for type SetSafetyStock](#graphql-partial-sdls).

#### Set Reorder Point

[fetch SDL for type SetReorderPoint](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)